SpellCheckCollation (Solr 3.6.2 API)
Keywords: org.apache.solr.spelling.SpellCheckCollation class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.spelling
Class SpellCheckCollation

    java.lang.Object
      org.apache.solr.spelling.SpellCheckCollation

All Implemented Interfaces:
  Comparable<SpellCheckCollation>

    public class SpellCheckCollation

extends Object
implements Comparable<SpellCheckCollation>

Constructor Summary
`SpellCheckCollation()`

Method Summary
`int` | `compareTo(SpellCheckCollation scc)`
`String` | `getCollationQuery()`
`int` | `getHits()`
`int` | `getInternalRank()`
`NamedList<String>` | `getMisspellingsAndCorrections()`
`void` | `setCollationQuery(String collationQuery)`
`void` | `setHits(int hits)`
`void` | `setInternalRank(int internalRank)`
`void` | `setMisspellingsAndCorrections(NamedList<String> misspellingsAndCorrections)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpellCheckCollation

    public SpellCheckCollation()

Method Detail

### compareTo

    public int compareTo(SpellCheckCollation scc)

  Specified by:
    `compareTo` in interface `Comparable<SpellCheckCollation>`

### getMisspellingsAndCorrections

    public NamedList<String> getMisspellingsAndCorrections()

### setMisspellingsAndCorrections

    public void setMisspellingsAndCorrections(NamedList<String> misspellingsAndCorrections)

### getHits

    public int getHits()

### setHits

    public void setHits(int hits)

### getCollationQuery

    public String getCollationQuery()

### setCollationQuery

    public void setCollationQuery(String collationQuery)

### getInternalRank

    public int getInternalRank()

### setInternalRank

    public void setInternalRank(int internalRank)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD